<?php
namespace FiloBlu\Giftwraptab\Block\Adminhtml\Orderedit;
class View extends \Magento\Backend\Block\Template
{
    protected $_template = 'order/view/view.phtml';

    private $helperData;
    private $_coreRegistry;

    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Framework\Registry $registry,
        \FiloBlu\Giftwraptab\Helper\Data $helperData,
        array $data = []
    ) {
        $this->_coreRegistry = $registry;
        $this->helperData = $helperData;
        parent::__construct($context, $data);
    }
    public function getOrder()
    {
        return $this->_coreRegistry->registry('current_order');
    }
    public function getOrderId()
    {
        return $this->getOrder()->getEntityId();
    }
    public function canShow()
    {
        return $this->helperData->haveGiftWraps($this->getOrder());
    }

    /**
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     */
    public function getWrapping()
    {
        return $this->helperData->getWrapping($this->getOrder());
    }

    /**
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     */
    public function getItemWrapping(\Magento\Sales\Api\Data\OrderItemInterface $orderItem)
    {
        return $this->helperData->getItemWrapping($orderItem);
    }

    public function getSectionName()
    {
        return __('Gift Wrap Information');
    }

    public function haveItemsGiftWraps(){
        return $this->helperData->haveItemsGiftWraps($this->getOrder());
    }
}